Subject: Re: bug#21197: 24.5; Error during package-list-packages

From: Milan Zimmermann <[email-masked]>
Date: Sun, 13 Sep 2015 16:34:51 -0500

Thanks, and sorry for the late confirmation - changing all URLs fixed it.
The URLs I was using had some intermittent issue.

On Thu, Aug 6, 2015 at 5:38 AM, Artur Malabarba <[email-masked]>
wrote:

> tromey.com is obsolete, use http://elpa.gnu.org/packages/ (which you
> shouldn't have to configure at all, since it's already in the default
> value of package-archives).
> That melpa address is also old, use http://melpa.org/packages/ instead.
>
> 2015-08-06 5:46 GMT+01:00 Milan Zimmermann <[email-masked]>:
> >
> >
> > Running: package-list-packages, I get an error in minibuffer:
> >
> >   "Failed to download 'gnu' archive"
> >
> > In the Messages buffer:
> >
> > Checking for load-path shadows...done
> > Importing package-keyring.gpg...done
> > Contacting host: melpa.milkbox.net:80 [2 times]
> > Contacting host: marmalade-repo.org:80
> > Contacting host: tromey.com:80
> > gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
> terminated.
> > Failed to download `ELPA' archive.
> > Failed to download `gnu' archive.
> >
> >
> >
> > In GNU Emacs 24.5.1 (x86_64-suse-linux-gnu, GTK+ Version 3.16.4)
> >  of 2015-06-25 on build76
> > Windowing system distributor `The X.Org Foundation', version
> 11.0.11702000
> > System Description:     openSUSE 20150802 (Tumbleweed) (x86_64)
> >
> > Configured using:
> >  `configure --with-pop --without-hesiod --with-kerberos --with-kerberos5
> >  --with-xim --with-wide-int --with-file-notification=inotify
> >  --enable-autodepend
> >
> --enable-locallisppath=/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
> >  --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
> >  --datadir=/usr/share --localstatedir=/var --sharedstatedir=/var/lib
> >  --libexecdir=/usr/lib --with-x --with-sound --with-xpm --with-jpeg
> >  --with-tiff --with-gif --with-png --with-rsvg --with-dbus --without-gpm
> >  --with-x-toolkit=gtk3 --x-includes=/usr/include
> >  --x-libraries=/usr/lib64 --with-xft --with-libotf --with-m17n-flt
> >  --build=x86_64-suse-linux 'CFLAGS=-fmessage-length=0
> >  -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector
> >  -funwind-tables -fasynchronous-unwind-tables -g -D_GNU_SOURCE -pipe
> >  -Wno-pointer-sign -Wno-unused-variable -Wno-unused-label
> >  -Wno-unprototyped-calls -fno-optimize-sibling-calls -fno-PIE
> >  -DSYSTEM_PURESIZE_EXTRA=55000 -DSITELOAD_PURESIZE_EXTRA=10000 '
> >  'LDFLAGS=-Wl,-O2 -Wl,--hash-size=65521''
> >
> > Important settings:
> >   value of $LC_NUMERIC: POSIX
> >   value of $LANG: en_US.UTF-8
> >   value of $XMODIFIERS: @im=ibus
> >   locale-coding-system: utf-8
> >
> > Major mode: Emacs-Lisp
> >
> > Minor modes in effect:
> >   diff-auto-refine-mode: t
> >   workgroups-mode: t
> >   buffer-face-mode: t
> >   projectile-global-mode: t
> >   projectile-mode: t
> >   imagex-auto-adjust-mode: t
> >   imagex-global-sticky-mode: t
> >   imagex-sticky-mode: t
> >   autopair-global-mode: t
> >   autopair-mode: t
> >   highlight-symbol-mode: t
> >   erc-track-mode: t
> >   erc-spelling-mode: t
> >   erc-ring-mode: t
> >   erc-networks-mode: t
> >   erc-netsplit-mode: t
> >   erc-menu-mode: t
> >   erc-match-mode: t
> >   erc-list-mode: t
> >   erc-pcomplete-mode: t
> >   erc-button-mode: t
> >   erc-fill-mode: t
> >   erc-stamp-mode: t
> >   erc-autojoin-mode: t
> >   erc-irccontrols-mode: t
> >   erc-noncommands-mode: t
> >   erc-move-to-prompt-mode: t
> >   erc-readonly-mode: t
> >   shell-dirtrack-mode: t
> >   winner-mode: t
> >   savehist-mode: t
> >   recentf-mode: t
> >   global-auto-complete-mode: t
> >   auto-complete-mode: t
> >   image-diredx-async-mode: t
> >   show-paren-mode: t
> >   tooltip-mode: t
> >   electric-indent-mode: t
> >   mouse-wheel-mode: t
> >   tool-bar-mode: t
> >   menu-bar-mode: t
> >   file-name-shadow-mode: t
> >   global-font-lock-mode: t
> >   font-lock-mode: t
> >   blink-cursor-mode: t
> >   auto-composition-mode: t
> >   unify-8859-on-decoding-mode: t
> >   auto-encryption-mode: t
> >   auto-compression-mode: t
> >   column-number-mode: t
> >   line-number-mode: t
> >   transient-mark-mode: t
> >
> > Recent messages:
> > Contacting host: marmalade-repo.org:80
> > gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
> terminated.
> > Contacting host: tromey.com:80
> > Failed to download `ELPA' archive.
> > Failed to download `gnu' archive.
> > 14 packages can be upgraded; type `U' to mark them for upgrading.
> > Mark saved where search started
> > Entering debugger...
> > Quit
> > Visual-Line mode enabled
> > command-execute: Command attempted to use minibuffer while in minibuffer
> >
> > Load-path shadows:
> > /usr/share/emacs/site-lisp/xslide/suse-start-xslide hides
> /usr/share/emacs/site-lisp/suse-start-xslide
> > /home/mzimmermann/.emacs.d/elpa/gnuplot-20141231.1337/gnuplot hides
> /usr/share/emacs/site-lisp/gnuplot
> > /home/mzimmermann/.emacs.d/elpa/gnuplot-20141231.1337/gnuplot-gui hides
> /usr/share/emacs/site-lisp/gnuplot-gui
> > /home/mzimmermann/.emacs.d/elpa/test-simple-20150331.302/test-simple
> hides /usr/share/emacs/site-lisp/test-simple
> > /home/mzimmermann/.emacs.d/elpa/egg-20150208.1815/egg hides
> /usr/share/emacs/site-lisp/egg/egg
> > /home/mzimmermann/.emacs.d/elpa/ess-20150729.819/lisp/make-regexp hides
> /usr/share/emacs/site-lisp/psgml/make-regexp
> > /home/mzimmermann/.emacs.d/elpa/flymake-0.4.16/flymake hides
> /usr/share/emacs/24.5/lisp/progmodes/flymake
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox hides
> /usr/share/emacs/24.5/lisp/org/ox
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-texinfo hides
> /usr/share/emacs/24.5/lisp/org/ox-texinfo
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-publish hides
> /usr/share/emacs/24.5/lisp/org/ox-publish
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-org hides
> /usr/share/emacs/24.5/lisp/org/ox-org
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-odt hides
> /usr/share/emacs/24.5/lisp/org/ox-odt
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-md hides
> /usr/share/emacs/24.5/lisp/org/ox-md
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-man hides
> /usr/share/emacs/24.5/lisp/org/ox-man
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-latex hides
> /usr/share/emacs/24.5/lisp/org/ox-latex
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-icalendar hides
> /usr/share/emacs/24.5/lisp/org/ox-icalendar
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-html hides
> /usr/share/emacs/24.5/lisp/org/ox-html
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-beamer hides
> /usr/share/emacs/24.5/lisp/org/ox-beamer
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ox-ascii hides
> /usr/share/emacs/24.5/lisp/org/ox-ascii
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org hides
> /usr/share/emacs/24.5/lisp/org/org
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-w3m hides
> /usr/share/emacs/24.5/lisp/org/org-w3m
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-version hides
> /usr/share/emacs/24.5/lisp/org/org-version
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-timer hides
> /usr/share/emacs/24.5/lisp/org/org-timer
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-table hides
> /usr/share/emacs/24.5/lisp/org/org-table
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-src hides
> /usr/share/emacs/24.5/lisp/org/org-src
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-rmail hides
> /usr/share/emacs/24.5/lisp/org/org-rmail
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-protocol hides
> /usr/share/emacs/24.5/lisp/org/org-protocol
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-plot hides
> /usr/share/emacs/24.5/lisp/org/org-plot
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-pcomplete hides
> /usr/share/emacs/24.5/lisp/org/org-pcomplete
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-mouse hides
> /usr/share/emacs/24.5/lisp/org/org-mouse
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-mobile hides
> /usr/share/emacs/24.5/lisp/org/org-mobile
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-mhe hides
> /usr/share/emacs/24.5/lisp/org/org-mhe
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-macs hides
> /usr/share/emacs/24.5/lisp/org/org-macs
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-macro hides
> /usr/share/emacs/24.5/lisp/org/org-macro
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-loaddefs hides
> /usr/share/emacs/24.5/lisp/org/org-loaddefs
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-list hides
> /usr/share/emacs/24.5/lisp/org/org-list
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-irc hides
> /usr/share/emacs/24.5/lisp/org/org-irc
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-install hides
> /usr/share/emacs/24.5/lisp/org/org-install
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-inlinetask hides
> /usr/share/emacs/24.5/lisp/org/org-inlinetask
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-info hides
> /usr/share/emacs/24.5/lisp/org/org-info
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-indent hides
> /usr/share/emacs/24.5/lisp/org/org-indent
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-id hides
> /usr/share/emacs/24.5/lisp/org/org-id
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-habit hides
> /usr/share/emacs/24.5/lisp/org/org-habit
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-gnus hides
> /usr/share/emacs/24.5/lisp/org/org-gnus
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-footnote hides
> /usr/share/emacs/24.5/lisp/org/org-footnote
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-feed hides
> /usr/share/emacs/24.5/lisp/org/org-feed
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-faces hides
> /usr/share/emacs/24.5/lisp/org/org-faces
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-eshell hides
> /usr/share/emacs/24.5/lisp/org/org-eshell
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-entities hides
> /usr/share/emacs/24.5/lisp/org/org-entities
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-element hides
> /usr/share/emacs/24.5/lisp/org/org-element
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-docview hides
> /usr/share/emacs/24.5/lisp/org/org-docview
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-datetree hides
> /usr/share/emacs/24.5/lisp/org/org-datetree
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-ctags hides
> /usr/share/emacs/24.5/lisp/org/org-ctags
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-crypt hides
> /usr/share/emacs/24.5/lisp/org/org-crypt
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-compat hides
> /usr/share/emacs/24.5/lisp/org/org-compat
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-colview hides
> /usr/share/emacs/24.5/lisp/org/org-colview
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-clock hides
> /usr/share/emacs/24.5/lisp/org/org-clock
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-capture hides
> /usr/share/emacs/24.5/lisp/org/org-capture
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-bibtex hides
> /usr/share/emacs/24.5/lisp/org/org-bibtex
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-bbdb hides
> /usr/share/emacs/24.5/lisp/org/org-bbdb
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-attach hides
> /usr/share/emacs/24.5/lisp/org/org-attach
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-archive hides
> /usr/share/emacs/24.5/lisp/org/org-archive
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/org-agenda hides
> /usr/share/emacs/24.5/lisp/org/org-agenda
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob hides
> /usr/share/emacs/24.5/lisp/org/ob
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-tangle hides
> /usr/share/emacs/24.5/lisp/org/ob-tangle
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-table hides
> /usr/share/emacs/24.5/lisp/org/ob-table
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-sqlite hides
> /usr/share/emacs/24.5/lisp/org/ob-sqlite
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-sql hides
> /usr/share/emacs/24.5/lisp/org/ob-sql
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-shen hides
> /usr/share/emacs/24.5/lisp/org/ob-shen
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-sh hides
> /usr/share/emacs/24.5/lisp/org/ob-sh
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-screen hides
> /usr/share/emacs/24.5/lisp/org/ob-screen
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-scheme hides
> /usr/share/emacs/24.5/lisp/org/ob-scheme
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-scala hides
> /usr/share/emacs/24.5/lisp/org/ob-scala
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-sass hides
> /usr/share/emacs/24.5/lisp/org/ob-sass
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-ruby hides
> /usr/share/emacs/24.5/lisp/org/ob-ruby
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-ref hides
> /usr/share/emacs/24.5/lisp/org/ob-ref
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-python hides
> /usr/share/emacs/24.5/lisp/org/ob-python
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-plantuml hides
> /usr/share/emacs/24.5/lisp/org/ob-plantuml
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-picolisp hides
> /usr/share/emacs/24.5/lisp/org/ob-picolisp
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-perl hides
> /usr/share/emacs/24.5/lisp/org/ob-perl
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-org hides
> /usr/share/emacs/24.5/lisp/org/ob-org
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-octave hides
> /usr/share/emacs/24.5/lisp/org/ob-octave
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-ocaml hides
> /usr/share/emacs/24.5/lisp/org/ob-ocaml
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-mscgen hides
> /usr/share/emacs/24.5/lisp/org/ob-mscgen
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-maxima hides
> /usr/share/emacs/24.5/lisp/org/ob-maxima
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-matlab hides
> /usr/share/emacs/24.5/lisp/org/ob-matlab
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-makefile hides
> /usr/share/emacs/24.5/lisp/org/ob-makefile
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-lob hides
> /usr/share/emacs/24.5/lisp/org/ob-lob
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-lisp hides
> /usr/share/emacs/24.5/lisp/org/ob-lisp
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-lilypond hides
> /usr/share/emacs/24.5/lisp/org/ob-lilypond
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-ledger hides
> /usr/share/emacs/24.5/lisp/org/ob-ledger
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-latex hides
> /usr/share/emacs/24.5/lisp/org/ob-latex
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-keys hides
> /usr/share/emacs/24.5/lisp/org/ob-keys
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-js hides
> /usr/share/emacs/24.5/lisp/org/ob-js
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-java hides
> /usr/share/emacs/24.5/lisp/org/ob-java
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-io hides
> /usr/share/emacs/24.5/lisp/org/ob-io
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-haskell hides
> /usr/share/emacs/24.5/lisp/org/ob-haskell
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-gnuplot hides
> /usr/share/emacs/24.5/lisp/org/ob-gnuplot
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-fortran hides
> /usr/share/emacs/24.5/lisp/org/ob-fortran
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-exp hides
> /usr/share/emacs/24.5/lisp/org/ob-exp
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-eval hides
> /usr/share/emacs/24.5/lisp/org/ob-eval
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-emacs-lisp hides
> /usr/share/emacs/24.5/lisp/org/ob-emacs-lisp
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-dot hides
> /usr/share/emacs/24.5/lisp/org/ob-dot
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-ditaa hides
> /usr/share/emacs/24.5/lisp/org/ob-ditaa
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-css hides
> /usr/share/emacs/24.5/lisp/org/ob-css
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-core hides
> /usr/share/emacs/24.5/lisp/org/ob-core
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-comint hides
> /usr/share/emacs/24.5/lisp/org/ob-comint
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-clojure hides
> /usr/share/emacs/24.5/lisp/org/ob-clojure
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-calc hides
> /usr/share/emacs/24.5/lisp/org/ob-calc
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-awk hides
> /usr/share/emacs/24.5/lisp/org/ob-awk
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-asymptote hides
> /usr/share/emacs/24.5/lisp/org/ob-asymptote
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-R hides
> /usr/share/emacs/24.5/lisp/org/ob-R
> > /home/mzimmermann/.emacs.d/elpa/org-20150727/ob-C hides
> /usr/share/emacs/24.5/lisp/org/ob-C
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides
> /usr/share/emacs/24.5/lisp/nxml/xsd-regexp
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/xmltok hides
> /usr/share/emacs/24.5/lisp/nxml/xmltok
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides
> /usr/share/emacs/24.5/lisp/nxml/rng-xsd
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides
> /usr/share/emacs/24.5/lisp/nxml/rng-valid
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-util hides
> /usr/share/emacs/24.5/lisp/nxml/rng-util
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides
> /usr/share/emacs/24.5/lisp/nxml/rng-uri
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides
> /usr/share/emacs/24.5/lisp/nxml/rng-pttrn
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides
> /usr/share/emacs/24.5/lisp/nxml/rng-parse
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides
> /usr/share/emacs/24.5/lisp/nxml/rng-nxml
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-match hides
> /usr/share/emacs/24.5/lisp/nxml/rng-match
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides
> /usr/share/emacs/24.5/lisp/nxml/rng-maint
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides
> /usr/share/emacs/24.5/lisp/nxml/rng-loc
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides
> /usr/share/emacs/24.5/lisp/nxml/rng-dt
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides
> /usr/share/emacs/24.5/lisp/nxml/rng-cmpct
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-util
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-uchnm
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-rap
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-parse
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-outln
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-ns
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-mode
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-maint
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-glyph
> > /home/mzimmermann/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides
> /usr/share/emacs/24.5/lisp/nxml/nxml-enc
> >
> > Features:
> > (shadow sort mail-extr emacsbug sendmail cus-edit misearch multi-isearch
> > mule-util gnutls parse-time mm-archive message idna rfc822 mml mml-sec
> > mailabbrev gmm-utils mailheader mm-decode mm-bodies mm-encode mail-utils
> > network-stream starttls url-http tls mail-parse rfc2231 rfc2047 rfc2045
> > ietf-drums url-gw url-cache url-auth url-handlers epg finder-inf debug
> > popup-complete dart-mode egg diff-mode ffap egg-git egg-const egg-base
> > egg-custom flycheck subr-x flymake table org-indent org-rmail org-mhe
> > org-irc org-info org-gnus org-docview doc-view jka-compr image-mode
> > org-bibtex bibtex org-bbdb org-w3m face-remap ztree-dir ztree-view
> > ztree-util projectile ibuf-ext ibuffer js2-refactor js2r-paredit
> > js2r-conveniences js2r-conditionals js2r-wrapping js2r-functions
> > js2r-vars multiple-cursors-core rect js2r-iife js2r-formatting
> > js2r-helpers js2-mode js2-old-indent js moz derived
> > my-kill-buffers-on-wg-close ox-odt rng-loc rng-uri rng-parse rng-match
> > rng-dt rng-util rng-pttrn nxml-parse nxml-ns xmltok nxml-util ox-latex
> > ox-icalendar ox-html ox-ascii ox-publish ox org-element ob-shell org-ac
> > auto-complete-pcmp yaxception log4e rx org org-macro org-footnote
> > org-pcomplete org-list org-faces org-entities noutline outline
> > org-version ob-awk ob-plantuml ob-gnuplot ob-C cc-mode cc-fonts cc-guess
> > cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ob-org
> > ob-matlab ob-sql ob-lisp ob-emacs-lisp ob-java ob-clojure ob-perl
> > ob-sqlite ob-octave ob-dot ob-ditaa ob-ruby ob-R ob-python ob-sh ob
> > ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint
> > ob-core ob-eval org-compat org-macs org-loaddefs find-func cal-menu
> > calendar cal-loaddefs org-install direx image+ workgroups2 anaphora f
> > google-translate google-translate-default-ui google-translate-core-ui
> > ido google-translate-core url url-proxy url-privacy url-expand
> > url-methods url-history url-cookie url-domsuf url-util url-parse
> > url-vars mailcap json ess-autoloads angular-snippets s ucs-normalize
> > dash yasnippet unicode-fonts autopair auto-complete-config
> > dired-details+ dired-details help-mode easy-mmode dired+ image-file
> > dired-x dired-aux highlight-symbol erc-track erc-spelling flyspell
> > erc-ring erc-networks erc-netsplit erc-menu erc-match erc-list
> > erc-pcomplete erc-button erc-fill erc-stamp erc-join erc-goodies erc
> > erc-backend erc-compat pp tramp tramp-compat auth-source eieio byte-opt
> > bytecomp byte-compile cl-extra cconv eieio-core gnus-util mm-util
> > mail-prsvr password-cache tramp-loaddefs trampver echistory chistory
> > compile sql view thingatpt browse-url server diff ediff ediff-merg
> > ediff-wind ediff-diff ediff-mult ediff-help ediff-init ediff-util imenu
> > shell pcomplete comint ansi-color saveplace winner ring scroll-all
> > savehist recentf tree-widget wid-edit auto-complete edmacro kmacro popup
> > cus-start cus-load ac-helm-autoloads ac-ispell-autoloads
> > ac-octave-autoloads ac-python-autoloads angular-snippets-autoloads
> > ascii-autoloads autopair-autoloads dired-details+-autoloads
> > dired-details-autoloads dired-imenu-autoloads direx-autoloads
> > discover-js2-refactor-autoloads discover-autoloads
> > dropdown-list-autoloads dynamic-fonts-autoloads ecb-autoloads
> > egg-autoloads eimp-autoloads elpakit-autoloads eshell-info-autoloads
> > eshell-manual-autoloads ess-R-data-view-autoloads ctable-autoloads
> > ess-R-object-popup-autoloads ess-smart-underscore-autoloads
> > find-file-in-git-repo-autoloads flymake-autoloads
> > flymake-shell-autoloads flymake-easy-autoloads fringe-helper-autoloads
> > generate-autoloads-autoloads git-rebase-mode-autoloads gnuplot-autoloads
> > gnuplot-mode-autoloads gradle-mode-autoloads grails-mode-autoloads
> > grails-projectile-mode-autoloads header2-autoloads
> > helm-delicious-autoloads helm-git-autoloads helm-git-files-autoloads
> > helm-git-grep-autoloads helm-google-autoloads google-autoloads
> > helm-projectile-all-autoloads htmlize-autoloads
> > http-post-simple-autoloads image-dired+ image-dired format-spec dired
> > advice imenu+-autoloads know-your-http-well-autoloads
> > lib-requires-autoloads load-relative-autoloads loc-changes-autoloads
> > macro-math-autoloads macros+-autoloads makey-autoloads mbe-autoloads
> > mkdown-autoloads multi-term-autoloads noflet-autoloads
> > nose-mode-autoloads nose-autoloads nterm-autoloads nxml-enc
> > ob-sml-autoloads org-ac-autoloads auto-complete-pcmp-autoloads
> > log4e-autoloads org-bullets-autoloads org-pandoc-autoloads
> > org-present-autoloads plantuml-mode-autoloads popup-complete-autoloads
> > py-test-autoloads pyde-autoloads pymacs-autoloads pyvirtualenv-autoloads
> > redo+-autoloads request-autoloads shadchen-autoloads slime-autoloads
> > sml-mode-autoloads starter-kit-eshell-autoloads tab-group-autoloads
> > tree-mode-autoloads unicode-fonts-autoloads ucs-utils-autoloads
> > font-utils-autoloads persistent-soft-autoloads list-utils-autoloads
> > help-fns cl-macs cl gv cl-loaddefs cl-lib pcache-autoloads info
> > workgroups2-autoloads s-autoloads anaphora-autoloads yas-jit-autoloads
> > yaxception-autoloads package epg-config paren sgml-mode psgml easymenu
> > ispell time-date delsel lpr tooltip electric uniquify ediff-hook
> > vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
> > regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
> > page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
> > font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> > misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> > greek romanian slovak czech european ethiopic indian cyrillic chinese
> > case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
> > loaddefs button faces cus-face macroexp files text-properties overlay
> > sha1 md5 base64 format env code-pages mule custom widget
> > hashtable-print-readable backquote make-network-process dbusbind inotify
> > dynamic-setting system-font-setting font-render-setting move-toolbar gtk
> > x-toolkit x multi-tty emacs)
> >
> > Memory information:
> > ((conses 16 1288605 103284)
> >  (symbols 48 61478 0)
> >  (miscs 40 326 380)
> >  (strings 32 190771 21300)
> >  (string-bytes 1 5645246)
> >  (vectors 16 91373)
> >  (vector-slots 8 2013684 171894)
> >  (floats 8 345 692)
> >  (intervals 56 109997 3078)
> >  (buffers 960 23)
> >  (heap 1024 109136 3293))
> >
> >
> >
>